import Vue from 'vue'
import App from './App.vue'
import router from './router'
import CONSTANT from '@/utils/constant'
import RepeatClick from '@/directives/repeat-click'
import '@/theme-chalk/theme.scss'
import '@/theme-chalk/iconfont.css'
import '@/theme-chalk/index.css'
import store from '@/store.js'

Vue.config.productionTip = false

// 挂载全局变量
Vue.prototype.CONSTANT = CONSTANT

Vue.directive('repeat-click', RepeatClick)
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
